## net.i2p.router.web
Class ConfigUIHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigUIHandler

    public class ConfigUIHandler

extends FormHandler

set the theme

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _passphrase`

Constructor Summary
`ConfigUIHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setShouldsave(String moo)`
`void` `setTheme(String val)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, addFormError, addFormNotice, getAllMessages, getErrors, getNotices, setAction, setContextId, setNonce, setPassphrase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigUIHandler

    public ConfigUIHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setShouldsave

    public void setShouldsave(String moo)

### setTheme

    public void setTheme(String val)